<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
<title>WTP PMC Agenda/Minutes for December 09, 2008 Conference
Call</title>
</head>
<body>
<h1>WTP PMC Agenda/Minutes for December 09, 2008 Conference Call</h1>
<h2>Call Info</h2>
<p>Tollfree in the US: 877-421-0030 <br />
Alternate: 770-615-1247<br />
Access code: 173098# <br />
<a
	href="http://wiki.eclipse.org/images/f/f6/WTP_status_phone_access.pdf">Full
list of phone numbers</a><br />
<br />
<a
	href="http://www.timeanddate.com/worldclock/custom.html?cities=224,207,1440,107
&amp;month=11
&amp;day=04
&amp;year=2008
&amp;hour=11
&amp;min=0&amp;sec=0&amp;p1=207">Call
Time: 1500 UTC</a></p>

<h2>Attendees</h2>
<h3>PMC Members</h3>
<ul>
	<li>David Williams: Y</li>
	<li>Naci Dai: Y</li>
	<li>Raghunathan Srinivasan: Y</li>
	<li>Neil Hauge: N</li>
	<li>Tim deBoer: Y</li>
	<li>Kaloyan Raev: Y</li>
</ul>

<!--
<h3>Invited Guests</h3>
<ul>
<li>Philippe Ombredanne (ATF): N</li>
</ul>
-->
<h2>Announcements and General Business</h2>
<ul>

	<li>API breakage in 3.0.3? <a
		href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=257470">Bug
	257470</a>
	<p>Agreement that if/since no other effected adopters found, best
	course is not to "break again".</p>
	</li>

	<li>EclipseCon 2009 status ...</li>

	<li>M4 this Friday. Please test.</li>

	<li>New Year's resolutions?
	<ul>
		<li>focus on quality? Patch application?</li>
		<li>review IP Log each milestone</li>
		<li>Adopter/project awareness ... wtp special topics?</li>
	</ul>
	</li>

	<li>No PMC meeting next two (or three?) weeks. Resume on Jan. 6
	(or 13th?)
	<p>Kaloyan only one out till 12th, so meetings to resume on 6th.</p>
	</li>

	<li>Naci reported "live" content!
	<p>In particular, see the "education link" in under <a
		href="http://www.eclipse.org/webtools/community/">Webtools
	Community</a>. We'll announce, promote first of next year.</p>
	</li>

</ul>
<!-- 

Reports, Actions, Issues

 -->
<h2>Reports, Actions, Issues</h2>
<!-- 

    Rotate topics by taking last one and putting it on top 
    
-->
<!-- 

    Architecture

 -->
<h3>Architecture: Tim deBoer</h3>
<ul>
	<li>API Tools. Tim to investigate and make recommendations to
	teams.</li>
	<li>Tim investigated API tools. There is a wizard that adds a
	builder to each plugin you select to add API tools support. There were
	some minor changes to move up to the tools (e.g. adding @noimplement
	javadoc tag) and taking a baseline, but it did catch missing @since
	tags, broken API, plugin versions that should be incremented, etc.
	Would recommend for 3.1 development.</li>
	<li>Next step is to try with plugins that have more API issues,
	non-internal packages that shouldn't be public, etc. to see if the
	impact to development teams is acceptable.</li>
	<li>Also need to investigate build impact.</li>
	<li></li>
</ul>
<h4>Reference</h4>
<ul>
	<li><a href="http://wiki.eclipse.org/WTP_Architecture_Lead">WTP
	Architecture Lead Role</a></li>
	<li>Tracking meetings and work at <a
		href="http://wiki.eclipse.org/WTP_Architecture_Working_Group">WTP
	Architecture Working Group</a></li>
</ul>
<!-- 

    Education

 -->
<h3>Education: Naci Dai</h3>
<p>Naci reports web pages for education materials are about ready.
He is writing article, as deadline is in December. Raghu was only
response he got for being interested in contributing too.</p>
<hr />
<p>Please review: <a
	href="http://www.eclipse.org/webtools/community/resources/">Resource
Page Proposal</a></p>
<p>Naci was approached (and countered) with some proposed articles
for Eclipse (online) magazine [need link. only one I found last
published in 2007?] Naci will invite authors for a series of articles
for "WTP Uncovered":</p>
<ol>
	<li>web developer tools (xml, xsl, html, css)</li>
	<li>web applications with Java (jsf, jsp, server)</li>
	<li>enterprise application (jpa/ejb)</li>
	<li>soa, webservices</li>
	<li>adopters/extending (maybe)</li>
</ol>
<p>Naci updated us today: Publisher would like all articles in one
issue (for an issued focused on WTP). Online version would be in
English. Print version would be translated to German. They'd like one
overview article less than 20,000 words, and 4 shorter, but more focused
article on specific areas, each less than 10,000 words</p>
<p>Naci will have some Eductation site/materials ready next week.</p>
<p>New Bugzilla component created: "Education".</p>
<p>We will publish education materials under <a
	href="http://creativecommons.org/licenses/by-sa/3.0/">Creative
Commons -- Attribution Share Alike</a> but still EPL for sample code,
examples and snippets.</p>
<h4>Reference</h4>
<ul>
	<li><a href="http://wiki.eclipse.org/WTP_Education_Lead">WTP
	Education Lead</a></li>
</ul>
<!-- 

    Requirements

 -->
<h3>Requirements: Raghu Srinivasan</h3>
<p>Raghu noted we should remind PLs to update plans every milestone.</p>
<p><a href="http://wiki.eclipse.org/WTP_3.1_Project_Plan">Planning
Process Document</a> has been started.</p>
<p>Eclipse-level dates and requirements have been clarified in a <a
	href="http://dev.eclipse.org/mhonarc/lists/eclipse.org-planning-council/msg01422.html">Planning
Council message</a> (and elsewhere).</p>
<p>Discussed options for including milestone dates and common info
in project milestone plans vs linking to the overall WTP plan.</p>
<hr />
<h4>Reference</h4>
<ul>
	<li><a href="http://wiki.eclipse.org/WTP_Requirements_Lead">WTP
	Requirements Lead Role</a></li>
</ul>
<!-- 

    Planning
 
 -->
<h3>Planning: David Williams</h3>
<h4>long term items to track</h4>
<ul>
	<li>XUL Runner IP nearing completion</li>
</ul>
<h4>Reference</h4>
<ul>
	<li><a href="http://wiki.eclipse.org/WTP_Planning_Lead">WTP
	Planning Role</a></li>
	<li><a
		href="http://wiki.eclipse.org/WTP_Patches_for_Release_2.0.2">patch
	process document</a></li>
</ul>
<!-- 

    Quality

 -->
<h3>Quality: Neil Hauge</h3>
<dl>
	<dt>Notes:</dt>
	<dd>See previous notes for statistics.
	<p>It is be important for us to do by 'sub-project' to compare
	within our own WTP projects, as well as to other top level ones</p>
	</dd>
	<dd>Neil investigating "close old bugs" policy.</dd>
	<dd>Neil has estimated approximately 800 bugs (of 2000 untargeted
	bugs) could be considered "old bugs". He'll prepare a table and note to
	send to project with encouragement to PLs to handle ... something like
	either triage individually and assign a target, or mark with
	'helpwanted' or mark in mass with a kind comment to re-open if still an
	issue (with reason for the mass update, etc.).</dd>
</dl>
<h4>Reference:</h4>
<ul>
	<li><a href="http://wiki.eclipse.org/WTP_Quality_Lead">WTP
	Quality Lead</a></li>
	<li>See also <a href="http://wiki.eclipse.org/WTP_Quality">Quality
	Page</a></li>
</ul>
<!-- 

    User Experience

 -->
<h3>WTP User Experience Lead: Kaloyan Raev</h3>
<ul>
	<li>Had <a
		href="http://wiki.eclipse.org/JavaEE_Perspective_UIWG_Walkthrough">UI
	Walkthrough</a></li>
	<li>Started collecting <a
		href="http://wiki.eclipse.org/JavaEE_Perspective_Usage_Screenshots">usage
	data</a></li>
</ul>
<h4>References</h4>
<ul>
	<li><a href="http://wiki.eclipse.org/WTP_User_Experience_Lead">WTP
	User Experience Lead</a></li>
</ul>

<!-- 

General business

 -->
<h2>General business?</h2>
<h3>bugs to watch</h3>
<ul>
	<li style="text-decoration: line-through;">Discussed need for <a
		href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=152461">bug
	152461</a></li>
	<li style="text-decoration: line-through;">Also need to watch <a
		href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=245645">bug
	245645</a></li>
	<li style="text-decoration: line-through;">Also need to watch <a
		href="https://bugs.eclipse.org/bugs/show_bug.cgi?id=245573">bug
	245573</a></li>
</ul>
<h3>Other projects to watch:</h3>
<ul>
	<li><a href="http://www.eclipse.org/proposals/sca-tools/">SCA
	Tools</a></li>
	<li><a
		href="http://dev.eclipse.org/mhonarc/lists/wtp-pmc/msg01400.html">EMFT
	Texo project proposal</a></li>
	<li><a
		href="http://dev.eclipse.org/mhonarc/lists/wtp-dev/msg06011.html">Maven
	Integration</a></li>
</ul>
<h2>PMC Calendar</h2>
<ul>
	<li style="text-decoration: line-through;"><a
		href="http://www.eclipseworld.net/">Eclipse World</a><br />
	Raghu, Naci, and Neil have submitted.</li>
	<li><a href="http://www.eclipsecon.org/summiteurope2008/">Eclipse
	European Summit</a>. <br />
	Kaloyan "wtp project" <br />
	Naci will attend but (probably) not present. <br />
	Cameron is attending and presenting JSF.</li>
	<li><a href="http://www.eclipsecon.org/2009/">EclipseCon 2009</a>.
	September we'll start recruiting talks.</li>
</ul>
<hr />
<p>Back to <a href="../index_pmc_call_notes.php">meeting list</a>.</p>
<p>Please send any additions or corrections to David Williams.</p>
</body>
</html>
